Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO::Objref_Traits< DynamicAny::DynStruct > Struct Reference

`#include <DynamicAnyC.h>`

List of all members.

## Static Public Methods

DynamicAny::DynStruct_ptr | tao_duplicate (DynamicAny::DynStruct_ptr)
void | tao_release (DynamicAny::DynStruct_ptr)
DynamicAny::DynStruct_ptr | tao_nil (void)
CORBA::Boolean | tao_marshal (DynamicAny::DynStruct_ptr p, TAO_OutputCDR &cdr)

## Member Function Documentation

DynamicAny::DynStruct_ptr TAO::Objref_Traits< DynamicAny::DynStruct >::tao_duplicate | ( | DynamicAny::DynStruct_ptr |  | ) | `[static]`

CORBA::Boolean TAO::Objref_Traits< DynamicAny::DynStruct >::tao_marshal | ( | DynamicAny::DynStruct_ptr | p,
|  | TAO_OutputCDR & | cdr
| ) | `[static]`

DynamicAny::DynStruct_ptr TAO::Objref_Traits< DynamicAny::DynStruct >::tao_nil | ( | void |  | ) | `[static]`

void TAO::Objref_Traits< DynamicAny::DynStruct >::tao_release | ( | DynamicAny::DynStruct_ptr |  | ) | `[static]`

The documentation for this struct was generated from the following files:

- DynamicAnyC.h
- DynamicAnyC.cpp